class Login{
  bool success;
  int code;
  String msg;
  LoginMap data;

  Login({this.success,this.code,this.msg,this.data});

  factory Login.fromJson(Map<String,dynamic> json){
    LoginMap tempData = LoginMap.fromJson(json['data']);
    return Login(
      success: json['success'],
      code:json['code'],
      msg:json['msg'],
      data:tempData
    );
  }
}
class LoginMap {
  String avatarUrl;
  String nickName;
  int roleType;
  String userId;
  int status;
  String token;

  LoginMap({
    this.userId,
    this.avatarUrl,
    this.nickName,
    this.roleType,
    this.status,
    this.token
  });

  factory LoginMap.fromJson(Map < String, dynamic > json) {
    return LoginMap(
      avatarUrl: json['avatarUrl'],
      nickName: json['nickName'],
      roleType: json['roleType'],
      userId: json['userId'],
      status: json['status'],
      token: json['token'],

    );
  }
}

class OrderListObj {
  List < OrderList > orderList;
  bool hasNextPage;

  OrderListObj({
    this.hasNextPage,
    this.orderList
  });

  factory OrderListObj.fromJson(Map < String, dynamic > json) {
    List list = json['items'] as List;
    List < OrderList > tempOrderList = list.map((i) => OrderList.fromJson(i)).toList();
    return OrderListObj(
      hasNextPage: json['hasNextPage'],
      orderList: tempOrderList
    );
  }

}

class OrderList {
  int id;
  int orderNo;
  String createTime;
  String startAddress;
  String endAddress;
  String itemName;
  int itemNo;
  String sendPhone;
  String sendAddress;
  String getPhone;
  String getAddress;

  OrderList({
    this.id,
    this.orderNo,
    this.createTime,
    this.startAddress,
    this.endAddress,
    this.itemName,
    this.itemNo,
    this.sendPhone,
    this.sendAddress,
    this.getPhone,
    this.getAddress
  });

  factory OrderList.fromJson(Map < String, dynamic > json) {
    return OrderList(
      id: json['id'],
      orderNo: json['orderNo'],
      createTime: json['createTime'],
      startAddress: json['startAddress'],
      endAddress: json['endAddress'],
      itemName: json['itemName'],
      itemNo: json['itemNo'],
      sendPhone: json['sendPhone'],
      sendAddress: json['sendAddress'],
      getPhone: json['getPhone'],
      getAddress: json['getAddress']
    );
  }
}